borgbackup2 (2.0.0b20-5) unstable; urgency=medium

  * Add something new to clean target
  * Make it coinstallable again with borgbackup (Closes: #1127849)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Mar 2026 12:39:09 +0100

borgbackup2 (2.0.0b20-4) unstable; urgency=medium

  * Merge changes from borgbackup 1.4.3-3 (Closes: #1127750)
    - Previous entries Closes: #1127048

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Feb 2026 14:42:28 +0100

borgbackup2 (2.0.0b20-3) unstable; urgency=medium

  * Merge changes from borgbackup 1.4.3-3
  * Drop R^3: no, default now
  * Bump std-version to 4.7.3, no changes required
  * Switch to pybuild-plugin-pyproject to fix build with Python3.14

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Feb 2026 14:46:46 +0100

borgbackup2 (2.0.0b20-2) unstable; urgency=medium

  * Fixup watch file to track version 2 of the package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Dec 2025 02:42:06 +0100

borgbackup2 (2.0.0b20-1) unstable; urgency=medium

  * New upstream version 2.0.0b20
  * Merge changelog with borgbackup 1.4.3-1 and 1.4.3-2
  * Update copyright file, some files were removed upstream
  * Fix watch file
  * Drop pypi patch, useless now
  * Reapply "Refresh patches"
  * Fixup clean file
  * Add shtab new dependency
  * Add python3-textual new dependency
  * Add new mfusepy dependency, commented out for now (unavailable on Debian)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Dec 2025 09:08:46 +0100

borgbackup2 (2.0.0b19.post2-3) unstable; urgency=medium

  * Drop llfuse dependency, python-llfuse is deprecated and RC buggy

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Nov 2025 12:54:34 +0100

borgbackup2 (2.0.0b19.post2-2) unstable; urgency=medium

  * Import back 2.0.0b19 as quilt patch, the post2 is not published
    on pypi

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Nov 2025 09:30:04 +0100

borgbackup2 (2.0.0b19.post2-1) unstable; urgency=medium

  * Set maintainer back to borg collective, as per
    Thorsten/Helmut request.
    Please come back eventually and help again
    in maintainership :)
  * Update gbp.conf
  * New upstream version 2.0.0b19.post2
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Nov 2025 16:19:55 +0100

borgbackup2 (2.0.0b19-1) unstable; urgency=medium

  * New upstream version 2.0.0b19
    - fixes a corruption bug: https://github.com/borgbackup/borg/issues/8963

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Aug 2025 18:11:35 +0200

borgbackup2 (2.0.0b18-3) unstable; urgency=medium

  [ Simon Chopin ]
  * fix running unit tests in autopkgtests (Closes: #1110195, LP: #2118916)

  [ Gianfranco Costamagna ]
  * Team upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Aug 2025 13:58:15 +0200

borgbackup2 (2.0.0b18-2) unstable; urgency=medium

  * Merge borgbackup 1.4.1-4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Jul 2025 12:45:37 +0200

borgbackup2 (2.0.0b18-1) unstable; urgency=medium

  * New upstream version 2.0.0b18
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Jun 2025 10:34:09 +0200

borgbackup2 (2.0.0b17-3) unstable; urgency=medium

  * Revert "Disable shell_completions_test.py, new and useless for now"
  * Add patch to fix testsuite

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 May 2025 19:26:26 +0200

borgbackup2 (2.0.0b17-2) unstable; urgency=medium

  * Drop file removed upstream in clean target
  * Disable shell_completions_test.py, new and useless for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 May 2025 18:24:01 +0200

borgbackup2 (2.0.0b17-1) unstable; urgency=medium

  * Merge with 1.4.1-2
  * Allow backports for borghash and borgstore
  * Bump std-version to 4.7.2, no changes needed
  * Bump borgstore requirement
  * Also runtime-depend on correct borgstore
  * New upstream version 2.0.0b17
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 May 2025 10:33:36 +0200

borgbackup2 (2.0.0b16-1) unstable; urgency=medium

  * New upstream version 2.0.0b16

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 May 2025 15:15:43 +0200

borgbackup2 (2.0.0b15-1) unstable; urgency=medium

  * New upstream version 2.0.0b15
  * Add new python3-sphinxcontrib.jquery dependency
  * Update borgstore build-dependency
  * Update copyright years
  * Refresh mathjax.patch
  * drop 0323c2f987a646c2c8595f48e4f0394f27fd369c.patch and
    35d7bb316cae277b97c247c91662caf1d7d5a006.patch: upstream

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 May 2025 21:30:49 +0200

borgbackup2 (2.0.0b14-4) unstable; urgency=medium

  * Add upstream patch to adapt for new borgstore 0.2.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Apr 2025 09:14:25 +0200

borgbackup2 (2.0.0b14-3) unstable; urgency=medium

  * Explictly runtime depend on borghash 0.1.0 due to non-retrocompatible
    change.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Nov 2024 07:33:38 +0100

borgbackup2 (2.0.0b14-2) unstable; urgency=medium

  * debian/patches/0323c2f987a646c2c8595f48e4f0394f27fd369c.patch:
    - cherry-pick upstream change for borghash 0.1.0-1 compatiblity

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Nov 2024 09:37:48 +0100

borgbackup2 (2.0.0b14-1) unstable; urgency=medium

  * New upstream version 2.0.0b14
  * Add a file to clean

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Nov 2024 12:26:29 +0100

borgbackup2 (2.0.0b13-2) unstable; urgency=medium

  * Fixup test files renaming

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Nov 2024 09:01:16 +0100

borgbackup2 (2.0.0b13-1) unstable; urgency=medium

  * New upstream version 2.0.0b13
  * Add new borghash dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Nov 2024 23:26:23 +0100

borgbackup2 (2.0.0b12-7) unstable; urgency=medium

  * Merge changes from borgbackup 1.4.0-3
    - Drop llfuse support, use pyfuse3 instead as default backend

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 16:05:29 +0200

borgbackup2 (2.0.0b12-6) unstable; urgency=medium

  * Team upload
  * Don't duplicate recommends in autopkgtests

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 13:04:03 +0200

borgbackup2 (2.0.0b12-5) unstable; urgency=medium

  * Fixup llfuse dependency, require at runtime both pyfuse3 and
    llfuse, not sure which one is the better,
    but borgbackup2 works with both. (LP: #2050515)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 12:57:40 +0200

borgbackup2 (2.0.0b12-4) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * switch also autopkgtests to fuse3
  * Fix previous upload, my git commit failed to commit the two
    chunks

  [ Colin Watson ]
  * Fix another chunk of simplesession test

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Oct 2024 09:22:15 +0200

borgbackup2 (2.0.0b12-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * cleanup mounts in case of test failure

  [ Colin Watson ]
  * Fixup test failure on fuse simplesession due to wrong
    path on compare/test commands (Closes: #1068563)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Oct 2024 16:34:24 +0200

borgbackup2 (2.0.0b12-2) unstable; urgency=medium

  * Add some more clean targets
  * Allow stderr messages on testsuite, upstream said borg logging
    defaults to stderr
  * Fixup a fuse test failure due to wrong syntax

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Oct 2024 13:30:39 +0200

borgbackup2 (2.0.0b12-1) unstable; urgency=medium

  * New upstream version 2.0.0b12
  * Update clean file
  * Allow stderr for autopkgtest, one print is done there
    (uptream informed)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 09 Oct 2024 12:02:46 +0200

borgbackup2 (2.0.0b11-3) unstable; urgency=medium

  * Merge entry for borgbackup 1.4.0-2
    - Drop pkg_resources runtime dependency (Closes: #1083319)
  * Update testsuite for deprecated rcreate/rlist commands

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Oct 2024 10:51:32 +0200

borgbackup2 (2.0.0b11-2) unstable; urgency=medium

  * Add borgstore new dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 12:37:01 +0200

borgbackup2 (2.0.0b11-1) unstable; urgency=medium

  * New upstream version 2.0.0b11

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Sep 2024 10:45:19 +0200

borgbackup2 (2.0.0b9-2) unstable; urgency=medium

  * Revert "Require msgpack 1.1.0"
    - this is the high version allowed, not the lower version.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 15:05:26 +0200

borgbackup2 (2.0.0b9-1) unstable; urgency=medium

  * Update signing-key
  * Update changelog file
  * Merge with borgbackup 1.4.0-1
  * New upstream version 2.0.0b9
  * Require msgpack 1.1.0
  * Bump std-version to 4.7.0
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jul 2024 09:05:09 +0200

borgbackup2 (2.0.0b8-2) unstable; urgency=medium

  * Update build_usage and build_man make.py code location

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 11:42:24 +0100

borgbackup2 (2.0.0b8-1) unstable; urgency=medium

  * New upstream version 2.0.0b8
  * Refresh patch 0001-Remove-codecov.io-and-travis-ci.org-badges.patch
  * Drop patches part of upstream codebase:
    - 0e7b87c1ba97621eb6abecee53d7ce90cf54412e.patch
    - 4b1dac78f57fc4f8f2bfef0a378d0aca29ce6862.patch
    - 5ca4703a47cb270e6f08f91c98b3e71ce1c2ce49.patch
    - cdcab4df6851b5d3da6ac5435bcaeb8aa1d632b5.patch
    - 8021.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 09:47:27 +0100

borgbackup2 (2.0.0b7-2) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Cherry-pick upstream changes:
  * 4b1dac78f57fc4f8f2bfef0a378d0aca29ce6862.patch
    - pyproject.toml: exclude source files which have been compiled
  * cdcab4df6851b5d3da6ac5435bcaeb8aa1d632b5.patch
    - allow msgpack 1.0.7
  * 0e7b87c1ba97621eb6abecee53d7ce90cf54412e.patch
    - allow platformdirs 4
  * 5ca4703a47cb270e6f08f91c98b3e71ce1c2ce49.patch
    - use and require cython3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Jan 2024 09:43:19 +0100

borgbackup2 (2.0.0b7-1) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * New upstream version 2.0.0b7
  * Refresh patches
  * Drop upstream patches:
    - lower_platformdirs.patch
    - 0001-Make-timestamps-in-manual-pages-reproducible.patch
    - 223d189ff7c6d684eb147b404fe2f84ed6742cbd.patch
  * Cherry-pick upstream pr 8021.patch
  * Add two missing files to fix testsuite
  * Exclude two new tests, calling borg binary directly

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Jan 2024 11:05:55 +0100

borgbackup2 (2.0.0b5-3) unstable; urgency=medium

  * Team upload (salsa.d.o/debian namespace)
  * Add new files to clean target (Closes: #1043956)
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 18:01:46 +0100

borgbackup2 (2.0.0b5-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload (salsa.d.o/debian namespace)
  * Make pyfuse3 a suggested only package
  * Add patch to allow platformdirs up to version 5 (Closes: #1057197)
  * Refresh patches
  * Update upstream signing key from 1k to 4k
  * Bump copyright years
  * Bump std-version
  * Merge changes from borgbackup 1.2.4-3

  [ Simon Chopin ]
  * d/p/manifest-data-files: fix FTBFS due to missing data files
    (Closes: 1052875, #2039423)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 17:11:02 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog borgbackup2-doc`.
